
 LinHES - Bug # 226: nvidia tv out does not change xorg.conf file

Status: Closed Priority: Normal
Author: scooter29 Category:
Created: 02/25/2009 Assignee: jams
Updated: 11/06/2011 Due date:
Description: I have a nvidia GeForce 5200, setup downgraded it to nvidia 96xx drivers even though it was supported by 

nvidia 173xx in knoppmyth. Go into Service Menu/ LinHES Configuration/ Display and click advanced settings 
select nvidia, TV, SVIDEO, NTSC-M click finish and wait for LinHES to configure. Go to Watch TV, screen 
goes black for 2 seconds then jumps back to Mythtv menu. Looked at xorg.conf and nothing was added for 
TV, SVIDEO, NTSC-M. Manually added option for TvOutFormat "SVIDEO" and option for "NTSC-M" 
rebooted, mythtv menu/ select Watch TV/ does the same thing, black screen, back to menu. This is on a 
Fresh Install from CD and Mythtv backend all setup correctly. Also tried nvidia-settings from command line 
and it seems I can't change anything with it either, as won't fully load. Maybe a good case for envyng.

History
02/26/2009 01:46 pm - scooter29
After many hours of googling, I think the kicking out of Watch Tv is a backend error, however this doesn't change the display settings wouldn't uddate 
xorg file.

02/26/2009 07:57 pm - cecil
Please post your xorg.conf.

02/26/2009 08:22 pm - scooter29
I can see tv now, however really locked up, jerky & jumpy and graphics driver makes a sound like crumpling paper. acts like not enough memmory I 
have 1 GB.

02/27/2009 12:35 am - cecil
How is it, that you can see TV now?  What did you do?  In terms of performance issues, you need to start investigating the mythtv logs.  If you feel this 
is an issue, you need to open another ticket.

02/27/2009 09:02 pm - scooter29
I had a channel change script setup in myth backend and I think it was hosing me, it acts like a codec problem now. I will investigate logs, and see if I 
can figure out what is going on now.

02/27/2009 09:23 pm - scooter29
Maybe you can make something of these?

02/28/2009 05:51 am - worldpoop
Installed r6 tonight.  Could not force TV-out in r6 via LinHes menus -- always VGA was result.  (I could force TV-out in r5.5 by adding two lines to 
xorg.conf.  But don't know how in r6.) Maybe related to this bug?  Also, like Scott said, get stuttering, stopping, locked up video (unresolved in r5.5 or r6 
fresh installs).  This is the Atomic Ant card (Sparkle 8400GS PCI).  (MX4000 on this system r5.5 fresh install could largely handle ATSC, though maxed 
CPU).  Maybe will have better luck when r6 Tweaker finished?  System: Dell Dimension 2400 2.4 GHz - 1.2gb ram - Sparkle GeForce 8400GS (was 
MX4000 128MB) PCI TV-out - HDHomeRun dual ATSC over gigabit.  :)

02/28/2009 12:55 pm - scooter29
Could'nt really see any problems. Stumped

03/13/2009 12:50 am - cecil
I've tested with a 6200 and a MX400 and am unable to duplicate any TV issues.  Any performace issue should be opened against another ticket.

06/13/2009 11:51 am - randall44
Hi, I have an MX440 and have trouble with getting T.V. out to work.  And nearly everything described above (except teh s-Video).  I can get it to work 
under other mythtv distros but not under R6 or R5.5.  I don't know if this information helps but at least Scott is not the only one anymore. 

Realizing that the MX440 is an older card I decided to remove it and go buy a $40 PC to TV converter.  It allows me to continue using LinHes and what 
I consider to be more robust features, and until I can afford newer hardware.  Like a T.V. that understands S-Video.  DVI... those sorts of upgrades.

Cheers

HP 
dc530
P 2.66
1 gig memory
80 gig drive

08/07/2009 09:41 am - Human
Could this be related to FS#434?  scooter29 reported that R5.5 used the 173.x.x drivers for his card, but r6 only offers 96.x.x and 185.x.x.  Perhaps 
96.x.x doesn't work best for the 5200?

03/11/2010 10:17 pm - tjc
The config script drops back to the legacy 96.x.x drivers in too many cases when it could use one of the newer ones.  This is definitely the case for the 
FX5200 and represents a regression from R5.5 where it uses the 173.14.09 driver for my FX5200.  The older drivers simply don't work right with the HD 
output and the install ends up failing because of them.

11/06/2011 04:15 pm - jams
- Status changed from New to Closed

config options have been removed.

Files
xorg.conf.txt 2.6 kB 02/26/2009 admin
mythfrontend.log.txt 6.5 kB 02/27/2009 admin
mythbackend.log.txt 3.6 kB 02/27/2009 admin
